Commits

Anonymous committed 51cb06c

Add "git-push-script" to make a more regular interface

It only does local and ssh pushes, because it's really just a wrapper
for git-send-pack. We might make it do an rsync mirror or something, of
course.

Comments (0)

Files changed (3)

 	git-log-script git-shortlog git-cvsimport-script git-diff-script \
 	git-reset-script git-add-script git-checkout-script git-clone-script \
 	gitk git-cherry git-rebase-script git-relink-script git-repack-script \
-	git-format-patch-script git-sh-setup-script
+	git-format-patch-script git-sh-setup-script git-push-script
 
 PROG=   git-update-cache git-diff-files git-init-db git-write-tree \
 	git-read-tree git-commit-tree git-cat-file git-fsck-cache \
+#!/bin/sh
+. git-sh-setup-script || die "Not a git archive"
+git-send-pack "$@"

File contents unchanged.

Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.